Subject: Re: Software to Provide Web Based Account Access

From: Geoffrey Fox <[email-masked]>
Date: Fri, 03 Mar 2000 21:54:56 -0500

So VPL is a reasonable choice and this is an area where there is quite a bit of work

1) NPACI Hotpage http://hotpage.npaci.edu 
2) NCSA MyGrid see demo at http://portal.ncsa.uiuc.edu/
3) VPL
4) Cornell version of VPL as "Virtual Workshop Companion" -- rather secretive
5) WebFlow/Gateway Portal http://www.osc.edu/~kenf/theGateway/
   and http://www.npac.syr.edu/users/haupt/WebFlow/projects/index.html

See http://www.computingportals.org/ for more links and
   http://www.new-npac.org/users/fox/documents/pajavaapril00/ for description of 5)
   wwww.desktop.com has interesting PC window in a browser interface

I think correct overall architecture is 5) with first 4 supplying specialized interfaces
that should be done in spirit of 5)
I think VPL is quite near what you want in functionality but our newer Gateway system
has many things you want.

You are of course welcome to VPL and I can get it to you when my student Saleh returns

I cc to bunch of experts for comments

> Dr. Fox,
> 
> I am very grateful for your offer to provide some guidance as we begin
> trying to develop a web based account interface for ERDC HPC users.  You
> had asked me to jot down our goals for the project.  For the sake of
> completeness, I will include all our goals.  Of course, I'm sure you
> won't have a version that matches our goals exactly.  However, if we are
> able to begin with a version that matches some of our goals, our
> development time should be much shorter.
> 
> Project goal:
> Provide a web based interface to ERDC HPCs for use by researchers doing
> mobil computing.  The interface should provide the functionality most
> commonly required of researchers and format the output as appropriate
> for the mobil device being used.
> 
> Functionality required:
> 1.  Access any of the five different HPCs (origin, jim, osprey, pandion,
> or cobalt).
> 2.  View and edit files.
> 3.  View jpgs or jifs.
> 4.  Create scripts.
> 5.  Submit existing job scripts and get information about the queue
> 6.  Create directories and copy/move files.
> 7.  Possibly upload/download files.  (This may not be included.)
> 8.  Possibly use ftp.  (This may not be included.)
> 9.  Possibly issue unix commands.  (This may not be included.)
> 
> Project constraints:
> 1.  The interface must be located on a remote web server (apollo) and
> access the HPCs remotely.
> 2.  Kerberos must be utilized and security of packets must be
> maintained.
> 3.  User accessibility to files must be limited to only those files
> which are readable to them.
> 4.  Access to all users (but only users) must be allowed without the
> need for special accounts.
> 5.  The interface must format the output in an manner appropriate for
> the mobil device being used.  This becomes important for hand-held
> devices with very small screens.
> 
> Thanks for assisting me.  If we are able to start with an existing
> program that has some of the functionality we need, our job will be a
> lot easier.
> 
> --
> Rebecca A. Fahey
> ERDC MSRC (formerly CEWES MSRC)
> Vicksburg Mississippi
> (601) 634-3294
> 
> 
> 

 Geoffrey Fox  [email-masked] [email-masked]
 Phones Cell 315-254-6387  Syracuse Office 315-443-2163 FSU Office 850-644-4587